Method: projects.locations.collections.engines.assistants.deleteCachedContent

어시스턴트.createCachedContent로 생성된 컨텍스트 캐시를 삭제합니다 (TTL 전에 스토리지를 해제함). Gemini Enterprise 클라이언트 (ASSISTANT_USER 공개 상태)로 제한됩니다.

HTTP 요청


POST https://discoveryengine.googleapis.com/v1alpha/{name=projects/*/locations/*/collections/*/engines/*/assistants/*}:deleteCachedContent

URL은 gRPC 트랜스코딩 구문을 사용합니다.

경로 매개변수

매개변수
name

string

필수 항목입니다. 요청을 처리하는 Assistant의 리소스 이름입니다. 형식: projects/{project}/locations/{location}/collections/{collection}/engines/{engine}/assistants/{assistant}

요청 본문

요청 본문에는 다음과 같은 구조의 데이터가 포함됩니다.

JSON 표현
{
  "model": string,
  "cachedContent": string
}
필드
model

string

필수 항목입니다. 캐시가 속한 불투명 모델 ID입니다. 프록시가 백엔드를 확인할 수 있도록 assistants.createCachedContent 요청과 일치해야 합니다.

cachedContent

string

필수 항목입니다. 어시스턴트가 반환한 name의 cachedContents/{id} 리소스 이름 세그먼트로, 삭제할 캐시를 식별합니다.

응답 본문

성공하면 응답 본문은 빈 JSON 객체입니다.

승인 범위

다음 OAuth 범위 중 하나가 필요합니다.

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.assist.readwrite
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

자세한 내용은 Authentication Overview에서 확인하세요.

IAM 권한

name 리소스에 대해서는 다음 IAM 권한이 필요합니다.

  • discoveryengine.assistants.assist

자세한 내용은 IAM 문서를 참조하세요.